Public Support - Support Request #6913
Error forwarding ADTF 3.x CAN data to ADTF 2.x

2019-04-18 12:15 - hidden

Status: Closed

Priority: Normal

Category:

Customer: AUDI Product Issue https://www.cip.audi.de/jira/browse/ASU

Numbers: PTB-61

Department: EF Affected Products: ADTF 2.14.1, ADTF 3 Support Toolbox
3.1.0, ADTF 3.4.0, ADTF Device Toolbox
2.6.2, ADTF Device Toolbox 3.0.0

Requester's Priority: Normal Platform:

Support Level: 3rd Level Topic: ADTF3SupportTB::HostOnly

Resolution: Product Issue Opened FAQ Links:

Description

Supportanfrage

Wir haben mit ADTF3 CAN Daten aufgezeichnet und wollten diese mit der adtf3-support-toolbox (IPC Host only) an ADTF2
weiterleiten.

Sender:

e ADTF 3.4.0
¢ adtf-device-toolbox 3.0.0

Emfpanger:
e ADTF 2.14.1
¢ adtf-device-toolbox 2.6.2
e adtf3-support-toolbox 3.1.0
Ergebnis:
error | 00:16:54:661 | Unable to read from input stream: Class not found: Class not found:
"oid.adtf.adtf3.type_deserialization.adtf/devicetb/can" | ipc_sample_source.cpp(157) | 6848/6424 |
D:\FAS\SDKs\ADTF\V2_14_1_VC10_0x64\bin\adtf_launcher.exe | OK | No error

Wiinschenswert ist eine adtf3-support-toolbox mit der auch CAN und Flexray-Daten von ADTF3 empfangen werden kdnnen.

BTW: Wenn kiunftig FEP das Mittel der Wahl ist, wie kénnen hier CAN und FlexRay-Daten zwischen ADTF2 und ADTF3
ausgetauscht werden?

Lésung

Nein das geht nicht, dazu braucht man einen Deserializer auf ADTF2 Seite der adtf/devicetb/can auf cMediaTypeCan mapped.
Muss in ASUPTB-61 erarbeitet werden

History

#1 - 2019-04-18 16:19 - hidden

- Project changed from Public Support to 11
- Status changed from New to In Progress

- Topic set to ADTF3SupportTB::HostOnly
- Customer set to AUDI

- Department set to EF

- Affected Products ADTF 2.14.1, ADTF 3 Support Toolbox 3.1.0, ADTF 3.4.0, ADTF Device Toolbox 2.6.2, ADTF Device Toolbox 3.0.0 added
#2 - 2019-04-18 17:03 - hidden
- Description updated

@Martin: Geht das nicht ? Braucht man dazu ggf. den Proxy-Filter wie beim Video ?

#3 - 2019-04-25 10:46 - hidden

Nein das geht nicht, dazu braucht man einen Deserializer auf ADTF2 Seite der adtf/devicetb/can auf cMediaTypeCan mapped. Da habe ich mit
Sebastian schon mal telefoniert.

#4 - 2019-04-26 10:33 - hidden

- Project changed from 11 to Public Support

- Subject changed from WG: Error forwarding ADTF3 CAN data to ADTF2 to Error forwarding ADTF 3.x CAN data to ADTF 2.x
- Description updated

- Status changed from In Progress to Customer Feedback Required

- Private changed from Yes to No

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ASUPTB-61

- Support Level changed from 2nd Level to 3rd Level

#5 - 2019-04-26 10:33 - hidden

- Status changed from Customer Feedback Required to To Be Closed

#6 - 2020-07-07 12:44 - hidden
- Status changed from To Be Closed to Closed
